﻿<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: domainabfrage_panel/domainabfrage_panel.php
| Author: Dennis Vorpahl
| Web: http://www.starunited24.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."domainabfrage_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."domainabfrage_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."domainabfrage_panel/locale/German.php";
}

require_once ("whoisservers.php");

openside($locale['dab001']);

echo '<p>'.$locale['dab002'].'</p>
    <form action="'.FUSION_SELF.'?'.FUSION_QUERY.'" method="post">
      <input type="text" name="domain" value="';
if(isset($_POST['domain'])) echo $_POST['domain'];
echo'" />
      <select name="tld">';
echo "<option value='all'>".$locale['dab010']."</option>";
foreach($whoisservers as $whoisserver => $value){
	echo "<option value='".$whoisserver."'";
	if(isset($_POST['tld']) && $_POST['tld'] == $whoisserver) echo " selected='selected'";
	echo ">.".$whoisserver."</option>\n";
}
echo' </select>
	  <br />
      <input type="submit" value="'.$locale['dab003'].'" />
	  </form><br />
	  ';
  

if(isset($_POST['domain']) && $_POST['domain']!='') {
    $domain = stripinput(strtolower($_POST['domain']));
	$tld = stripinput($_POST['tld']);
	if(!preg_match("/^[^_\.\/]{1,}$/", $domain)) echo "<span style='color: #ff0000; font-weight: bold'>\n".$locale['dab004']."</span><br />\n";
	else{
		if($tld=='all'){
			foreach($whoisservers as $whoisserver => $value){
				if ( domainAvailable ( 'http://'.$domain.'.'.$whoisserver ) ) { 
    				echo $locale['dab009'].' '.$domain.'.'.$whoisserver.' '.$locale['dab007'].' <font style="color:red">'.$locale['dab008'].'</font><br />'; 
  				} else { 
    				echo $locale['dab009'].' '.$domain.'.'.$whoisserver.' '.$locale['dab007'].' <font style="color:green">'.$locale['dab006'].'</font><br />'; 
  				}
			}
		}else{
			if ( domainAvailable ( 'http://'.$domain.'.'.$tld ) ) { 
    			echo $locale['dab009'].' '.$domain.'.'.$tld.' '.$locale['dab007'].' <font style="color:red">'.$locale['dab008'].'</font><br />'; 
  			} else { 
    			echo $locale['dab009'].' '.$domain.'.'.$tld.' '.$locale['dab007'].' <font style="color:green">'.$locale['dab006'].'</font>!'; 
  			}
		}
	}
	
 }
echo '<br /><span class="small"><a href="http://www.starunited.de" target="_blank" title="Domainabfrage Panel powered by Starunited">&copy;</a></span>';
closeside();
//Funktions
function domainAvailable ( $strDomain ) { 
    $rCurlHandle = curl_init ( $strDomain ); 

    curl_setopt ( $rCurlHandle, CURLOPT_CONNECTTIMEOUT, 20 ); 
    curl_setopt ( $rCurlHandle, CURLOPT_HEADER, TRUE ); 
    curl_setopt ( $rCurlHandle, CURLOPT_NOBODY, TRUE ); 
    curl_setopt ( $rCurlHandle, CURLOPT_RETURNTRANSFER, TRUE ); 

    $strResponse = curl_exec ( $rCurlHandle ); 

    curl_close ( $rCurlHandle ); 

    if ( !$strResponse ) { 
      return FALSE; 
    }else return TRUE; 
} 
?>